mText mit BackgroundFill / AutoCAD ObjectARX und .NET
Singo77 20. Mrz. 2017, 16:51

Hallo,

ich habe beschäftige mich erst seit kurzen mit der Autocad (2016) Programmierung und habe ein Problem mit dem erzeugen es farbigen Hintergrundes zu einem mText und habe nach inensiver Recherche werde hier noch im Netz etwas gefunden.

Ich erzeuge erfolgreich (nach speichern in der DWG sichtbar) einen Mtext und schalte den Hintergrund ein

  Dim mText As Autodesk.AutoCAD.Interop.Common.AcadMText
  ...
  mText = poAcApp.ActiveDocument.ModelSpace.AddMText(mPoint, 0, sText)
  ...
  mText.BackgroundFill = True

Wie kann ich den Randversatz und die Farbe der Füllung verändern, anscheinend werden Standardeinstellungen (Randversatz 1.5 und Farbe des Zeichnungshintergrunds) verwendet.

Für Tips wäre ich dankbar, Ingo.

Ingenieur Studio HOLLAUS 21. Mrz. 2017, 00:01

probier mal .BackgroundScaleFactor

cadffm 21. Mrz. 2017, 00:11

Du kannst dir doch von jedem Objekt die Eigenschaften ansehen


Ich verlinke mal einen Thread aus dem Forum, als "dumme" Hilfe
http://forum.cad.de/foren/ubb/Forum352/HTML/000733.shtml

Und hier ein Weg für vorhandene Objekte, wie man sehr viele Fragen dieser Art sich selbst beantworten kann.
So könnte man auch zwei Objekte mit ähnlichen Eigenschaften "vergleichen"
http://spiderinnet1.typepad.com/blog/2012/01/using-c-to-print-out-properties-of-autocad-net-dbobject-or-entity.html

Das liefert nicht bei allen Dingen die gesuchte Antwort, denn nicht alles ist eine Objekteigenschaft.
Für den konkreten Fall aber schon.